MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023921Community[OCCT] OCCT:Data Exchangepublic2013-04-21 09:412013-12-19 14:00
ReporterRoman Lygin 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0023921: IGES reader cannot map subshapes colors inside nested assemblies
DescriptionPrior to the fix IGESCAFControl_Reader always adds root shapes resulting from IGES import as non-assemblies. For nested assemblies, with locations attached to compounds this lead to creation of internal subshape map in XCAFDoc_ShapeTool with this location attached to subshapes and respectively impossibility to find a subshape when mapping a color.
The fix changes the addition algorithm - compounds without nested compounds are added as no-assemblies, i.e. preserving previous behavior. Compounds containing child compounds are added as assemblies.
Steps To ReproduceCannot send the original file (proprietary).
NewDoc d XmlXCAF
ReadIges d file.igs
XShow d
TagsNo tags attached.
Test case numberbugs xde(005) bug23921
Attached Fileszip file icon case2.zip (20,886 bytes) 2013-04-27 10:53
png file icon before.png (38,331 bytes) 2013-04-27 10:53
png file icon after.png (39,348 bytes) 2013-04-27 10:53

- Relationships
parent of 0024430closedapn Open CASCADE vviewlist draw command does not added name of viewer created by XShow draw command 

-  Notes
(0024231)
Roman Lygin (developer)
2013-04-21 09:47

Fix pushed into git repository
(0024232)
abv (manager)
2013-04-21 23:24

Roman, could you make a synthetic IGES file for test?
(0024238)
gka (developer)
2013-04-22 11:55

Branch CR23921 is ready to test.
(0024291)
mkv (tester)
2013-04-26 15:19

Dear BugMaster,

Branch CR23921 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 1da326cb57c54c1082f053cf369a1e0a033cde10

Number of compiler warnings:

occt component :
Linux: 2 (2 on master)
Windows: 11 (11 on master)

products component :
Linux: 0 (0 on master)
Windows: 64 (64 on master)

Regressions:
http://occt-tests/CR23921-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR23921-master-occt/Windows-32-VC9/summary.html [^]
de iges_1(001) A1 A6 A8 A9 B1 D1 E7 E9 H4 H5 H7 I8 J5 Q5 R8
de iges_2(002) A1 A6 B1 C8 E9 F2 F3 F4 F5 F6 F9 G2 H3 H5 H6 J1
de iges_3(003) A4 A5 A7 B2
de step_4(004) G6 - only on Windows

Improvements:
No improvements

Testing on Linux:
Total MEMORY difference: 360982856 / 361145316
Total CPU difference: 40909.10000000092 / 51150.44000000045

Testing on Windows:
Total MEMORY difference: 415707992 / 415218264
Total CPU difference: 36920.9375 / 32380.328125

There are not serious differences in images found by testdiff.
(0024295)
Roman Lygin (developer)
2013-04-27 10:54

Added a file case2.igs which demonstrates the issue and its screenshots, before and after the fix
(0026945)
gka (developer)
2013-11-27 11:23

Branch CR23921_1 is ready to be reviewed. This branch was re-based on current master and following modifications:
1.Adds in document compound as assembly only if it contains nested compounds with not null locations to avoid creation of redundant labels in document for any shapes belonging to compound.
(0026947)
abv (manager)
2013-11-27 11:54

No remarks, please test.
(0026970)
mkv (tester)
2013-11-28 09:10

Dear BugMaster,

Branch CR23921_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 8d9951a756761aa5cdcd46bb8c38b753f930cd1a

Number of compiler warnings:

occt component :
Linux: 321 (320 on master)
Windows: 1 (0 on master)

products component :
Linux: 188 (188 on master)
Windows: 286 (286 on master)

New additional compilation warning on Linux and Windows:
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR23921_1-master_build_occt_linux/1/warnings15Result/package.275514028/ [^]
IGESCAFControl_Reader.cxx:93, GNU Compiler 4 (gcc), Priority: Normal
unused variable ‘aHasCompositeSubShape’
http://jenkins-test-02.nnov.opencascade.com:8080/user/mnt/my-views/view/A_mnt_warnings/job/mnt-CR23921_1-master_build_occt_windows/1/warnings28Result/? [^]
IGESCAFControl_Reader.cxx:93, MSBuild, Priority: Normal
'aHasCompositeSubShape' : local variable is initialized but not referenced

Regressions/Differences:
http://occt-tests/CR23921-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR23921-1-master-occt/Windows-32-VC9/summary.html [^]
de iges_1(001) H5, H7
de iges_2(002) A6, B1, C8, F2, F3, F4, F5, F6, H3, H6

Testing cases:
bugs xde(005) bug23921

Testing on Linux:
Total MEMORY difference: 357256180 / 357424656
Total CPU difference: 48399.23000000013 / 43709.70000000039

Testing on Windows:
Total MEMORY difference: 412173012 / 411802792
Total CPU difference: 33763.53125 / 31969.890625

There are not differences in images found by testdiff.
(0027011)
gka (developer)
2013-11-29 17:53

Fix to avoid increasing number of faces (test case de iges_2 A6)
(0027043)
mkv (tester)
2013-12-03 12:03
edited on: 2013-12-03 12:09

Dear BugMaster,

Branch CR23921_1 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: 44153d1d0c42d8251969bf37590dd5717b950567

Number of compiler warnings:

occt component :
Linux: 103 (103 on master)
Windows: 0 (0 on master)

products component :
Linux: 188 (188 on master)
Windows: 237 (237 on master)

Regressions/Differences:
http://occt-tests/CR23921-1-master-occt/Debian60-64/summary.html [^]
http://occt-tests/CR23921-1-master-occt/Windows-32-VC9/summary.html [^]
de iges_1(001) H5, H7
de iges_2(002) A6, B1, C8, F2, F3, F4, F5, F6, H3, H6

Testing cases:
http://occt-tests/CR23921-1-master-occt/Debian60-64/bugs/xde/bug23921.html [^]
http://occt-tests/CR23921-1-master-occt/Windows-32-VC9/bugs/xde/bug23921.html [^]
bugs xde(005) bug23921 - OK (but there is not image - new visual bug 0024430)

Testing on Linux:
Total MEMORY difference: 357617652 / 357632964
Total CPU difference: 41918.68000000007 / 45375.80000000019

Testing on Windows:
Total MEMORY difference: 412051592 / 411604448
Total CPU difference: 32458.515625 / 33812.203125

There are not differences in images found by testdiff.

(0027044)
gka (developer)
2013-12-03 12:22

Differences in test cases :
de iges_1(001) H5, H7
de iges_2(002) A6, B1, C8, F2, F3, F4, F5, F6, H3, H6 are not regressions.
Please regenerate reference data for these tests.
(0027049)
mkv (tester)
2013-12-03 14:20

Dear BugMaster,

Test cases
bugs xde(005) bug23921
de iges_1(001) H5, H7
de iges_2(002) A6, B1, C8, F2, F3, F4, F5, F6, H3, H6
are corrected and pushed to CR23921.
CR23921 is TESTED.

- Related Changesets
occt: master d4a2c515
Timestamp: 2013-12-05 11:26:01
Author: gka
Committer: bugmaster
Details ] Diff ]
0023921: IGES reader cannot map subshapes colors inside nested assemblies

Modification to avoid creation of redundant labels in XCAF for any shapes belonging compound even if colors are not defined for them.
Fix to avoid compiler warning.
Fix for regression for test case de iges_2 A6
Test case for issue CR23921
mod - src/IGESCAFControl/IGESCAFControl_Reader.cxx Diff ] File ]
mod - src/XCAFDoc/XCAFDoc_ShapeTool.cxx Diff ] File ]
add - tests/bugs/xde/bug23921 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-04-21 09:41 Roman Lygin New Issue
2013-04-21 09:41 Roman Lygin Assigned To => gka
2013-04-21 09:47 Roman Lygin Note Added: 0024231
2013-04-21 09:47 Roman Lygin Status new => resolved
2013-04-21 23:24 abv Note Added: 0024232
2013-04-22 11:55 gka Note Added: 0024238
2013-04-22 11:55 gka Status resolved => reviewed
2013-04-26 15:19 mkv Note Added: 0024291
2013-04-26 15:24 mkv Status reviewed => assigned
2013-04-27 10:53 Roman Lygin File Added: case2.zip
2013-04-27 10:53 Roman Lygin File Added: before.png
2013-04-27 10:53 Roman Lygin File Added: after.png
2013-04-27 10:54 Roman Lygin Note Added: 0024295
2013-04-29 09:22 abv Assigned To gka => ika
2013-11-14 11:09 apn Status assigned => feedback
2013-11-15 14:16 ika Assigned To ika => gka
2013-11-27 11:23 gka Note Added: 0026945
2013-11-27 11:23 gka Assigned To gka => abv
2013-11-27 11:23 gka Status feedback => resolved
2013-11-27 11:54 abv Note Added: 0026947
2013-11-27 11:54 abv Assigned To abv => bugmaster
2013-11-27 11:54 abv Status resolved => reviewed
2013-11-27 12:35 mkv Assigned To bugmaster => mkv
2013-11-28 09:10 mkv Note Added: 0026970
2013-11-28 09:12 mkv Test case number => bugs xde(005) bug23921
2013-11-28 09:12 mkv Assigned To mkv => gka
2013-11-28 09:12 mkv Status reviewed => assigned
2013-11-29 17:53 gka Note Added: 0027011
2013-11-29 17:53 gka Status assigned => resolved
2013-11-29 17:54 gka Status resolved => reviewed
2013-12-02 09:56 mkv Assigned To gka => mkv
2013-12-03 12:03 mkv Note Added: 0027043
2013-12-03 12:03 mkv Assigned To mkv => gka
2013-12-03 12:03 mkv Status reviewed => assigned
2013-12-03 12:09 mkv Note Edited: 0027043 View Revisions
2013-12-03 12:22 gka Note Added: 0027044
2013-12-03 12:22 gka Status assigned => resolved
2013-12-03 12:22 gka Status resolved => reviewed
2013-12-03 13:24 mkv Assigned To gka => mkv
2013-12-03 14:20 mkv Note Added: 0027049
2013-12-03 14:20 mkv Assigned To mkv => bugmaster
2013-12-03 14:20 mkv Status reviewed => tested
2013-12-03 14:57 mkv Relationship added parent of 0024430
2013-12-06 17:57 bugmaster Changeset attached => occt master d4a2c515
2013-12-06 17:57 bugmaster Status tested => verified
2013-12-06 17:57 bugmaster Resolution open => fixed
2013-12-09 12:04 bugmaster Target Version => 6.7.0
2013-12-19 13:50 bugmaster Status verified => closed
2013-12-19 14:00 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker